<div class="row">
    <div class="col-12">
        <nb-card>
            <nb-card-header>
                Actions
            </nb-card-header>
            <nb-card-body>
                <div class="row">
                    <div class="col-4">
                        <nb-form-field>
                            <nb-icon nbPrefix icon="search-outline" pack="eva"></nb-icon>
                            <input nbInput [formControl]="searchControl" type="text" #search
                                   placeholder="Search recipe..." [nbAutocomplete]="auto"/>
                        </nb-form-field>
                        <nb-autocomplete #auto (selectedChange)="addToSaved($event); search.value = '';">
                            <nb-option *ngFor="let recipe of recipes$ | async" [value]="recipe">
                                {{ recipe.item.name }}
                            </nb-option>
                        </nb-autocomplete>
                    </div>
                    <div class="col-4">
                        <button nbButton hero status="primary" (click)="openModal()">Create recipe
                            <nb-icon icon="plus-circle"></nb-icon>
                        </button>
                    </div>
                    <div class="col-4">
                        <app-imports-selector (importSelected)="checkRecipe($event)"></app-imports-selector>
                    </div>
                </div>
            </nb-card-body>
        </nb-card>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <nb-card>
            <nb-card-header>
                Saved recipes
            </nb-card-header>
            <nb-card-body>
                <nb-layout-column *ngIf="recipes">
                    <table class="table" [nbSpinner]="loaderRecipe">
                        <thead>
                        <tr>
                            <th>Item</th>
                            <th>Name</th>
                            <th>Quantity</th>
                            <th>Price</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody *ngFor="let recipe of recipes">
                        <tr class="table-primary">
                            <td>Recipe</td>
                            <td class="pointer font-weight-bold"
                                [routerLink]="'/content/item/' + recipe.itemResult._id">{{recipe.item.name}}</td>
                            <td></td>
                            <td>{{toWowPriceString(recipe.item.fixedPrice || recipe.item.priceData || 0)}}</td>
                            <td>
                                <div class="form-in-rows">
                                    <button nbButton hero status="primary" routerLink="/content/recipe/{{recipe._id}}">
                                        <nb-icon icon="search"></nb-icon>
                                    </button>
                                    <button nbButton hero status="danger" (click)="removeSaved(recipe)">
                                        <nb-icon icon="trash-outline"></nb-icon>
                                    </button>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">Components</td>
                        </tr>
                        <tr *ngFor="let component of recipe.components">
                            <td></td>
                            <td class="pointer font-weight-bold"
                                [routerLink]="'/content/item/'+component._id">{{component.name}}</td>
                            <td>{{component.quantity}}</td>
                            <td colspan="2">{{toWowPriceString(component.fixedPrice || component.priceData || 0)}}</td>
                        </tr>
                        <tr class="table-success">
                            <td>Item created</td>
                            <td class="pointer font-weight-bold"
                                [routerLink]="'/content/item/' + recipe.itemResult._id">{{recipe.itemResult.name}}</td>
                            <td>{{recipe.itemResult.quantity}}</td>
                            <td colspan="2">
                                <span class="block"
                                      *ngIf="recipe.itemResult.priceData">Total cost : {{toWowPriceString(totalCost(recipe))}}</span>
                                <span class="block"
                                      *ngIf="recipe.itemResult.priceData"> Diff : {{toWowPriceString(recipe.itemResult.priceData - totalCost(recipe)) }}</span>
                                <span class="block" *ngIf="recipe.itemResult.fixedPrice || recipe.itemResult.priceData">AH Price : {{toWowPriceString(recipe.itemResult.fixedPrice || recipe.itemResult.priceData || 0)}}</span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </nb-layout-column>
            </nb-card-body>
        </nb-card>
    </div>
</div>
